Import the compromise scenario catalog
POST
/compromised-host/catalog/importValidate the entire versioned .pa package and atomically install a new file generation, keeping the IDs of already known campaigns by sourceName/sourceScenarioId.
Contract
Parameter | Value |
|---|---|
| Section | compromised-host |
| Authentication | CookieAuth |
| Consumes | multipart/form-data |
| Produces | application/json |
Parameters
1 parameter
Name | Location | Required | Type | Description |
|---|---|---|---|---|
| file | formData | yes | file | .pa catalog up to 128 MiB |
{}
Responses
4 responses
Status | Description | Type |
|---|---|---|
200 | Catalog installed | object |
400 | Invalid archive, manifest, schema, or checksum | object |
401 | Unauthorized | object |
500 | Failed to install the catalog atomically | object |
{ "active": true, "archiveSha256": "<string>", "builtAt": "<string>", "campaignCount": 0, "campaignsImported": 0, "campaignsRemoved": 0, "campaignsUpdated": 0, "contentSha256": "<string>", "createdAt": "<string>", "fileName": "<string>", "id": 0, "issuerID": 0, "managedSources": [ "<string>" ], "size": 0, "version": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }